Downloads


We, as Open Source driven company, decided to publish and operate appserver.io as real Open Source software. We’re convinced, that this will be the best way to make appserver.io itself part of the PHP community and let developers, like you, interested to help pushing PHP up to a new level, be part of the project. If you want to contribute, and we request you to do this, have a look at our Github repository.

Please keep in mind, that appserver.io CE and all its libraries are licensed under the Open Source License 3.0 (OSL-3.0) which provides a maximum of flexibility to you and also to us. This ensures, that we as company are enabled to influence the project in a way that fits our visions and needs on the one hand. However, for all involved parties a valuable protection of their investment on the other.

Get the latest Version of appserver.io free and enjoy the most powerful PHP infrastructure in the world with only one click! If you’ve any problems or questions, and you can’t find an answer in our Documentation, feel free to contact us on Gitter




For Mac OS X >= 10.8.x we provide a .mpkg file for download that contains the runtime and the distribution. Double-click on the .pkg and it will guide you through the installation process.

We STRONGLY recommend, that you have a look at our upgrade guide, before upgrading!


  appserver-dist_1.1.4-212_x86_64.pkg


Works for Windows 7 (32-bit) and higher!


  appserver-dist_1.1.4-135_x86.exe


For non desktop environments or via ssh type:

sudo su
dpkg -i /path/to/appserver-runtime_1.1.7-45-deb8_amd64.deb
dpkg -i /path/to/appserver-dist_1.1.4-69-deb8_amd64.deb
apt-get install -fy

You might also try our .deb repository:

sudo su
echo "deb http://deb.appserver.io/ jessie main" > /etc/apt/sources.list.d/appserver.list
wget http://deb.appserver.io/appserver.gpg -O - | apt-key add -
aptitude update
aptitude install appserver-dist

Optionally you can download the .deb files for the runtime and the distribution and install them by double-clicking on them. This will invoke the system default package manager and guides you through the installation process.

Please install the runtime first, as this is a dependency for the distribution.


  appserver-dist_1.1.4-69-deb8_amd64.deb   appserver-runtime_1.1.7-45-deb8_amd64.deb


For non desktop environments or via ssh type:

sudo su
dpkg -i /path/to/appserver-runtime_1.1.7-100-deb7_amd64.deb
dpkg -i /path/to/appserver-dist_1.1.4-129-deb7_amd64.deb
apt-get install -fy

You might also try our .deb repository:

sudo su
echo "deb http://deb.appserver.io/ wheezy main" > /etc/apt/sources.list.d/appserver.list
wget http://deb.appserver.io/appserver.gpg -O - | apt-key add -
aptitude update
aptitude install appserver-dist

Optionally you can download the .deb files for the runtime and the distribution and install them by double-clicking on them. This will invoke the system default package manager and guides you through the installation process.

Please install the runtime first, as this is a dependency for the distribution.


  appserver-dist_1.1.4-129-deb7_amd64.deb   appserver-runtime_1.1.7-100-deb7_amd64.deb


We also provide .rpm files for Fedora, one for runtime and distribution, that you can download and start the installation process by double-clicking on it. This will start the systems default package manager and guides you through the installation process.


  appserver-dist-1.1.4-26.fc22.x86_64.rpm   appserver-runtime-1.1.7-24.fc22.x86_64.rpm


We also provide .rpm files for Fedora, one for runtime and distribution, that you can download and start the installation process by double-clicking on it. This will start the systems default package manager and guides you through the installation process.


  appserver-dist-1.1.4-55.fc21.x86_64.rpm   appserver-runtime-1.1.7-57.fc21.x86_64.rpm


Installation and basic usage is the same as on Fedora but we provide different packages for runtime and distribution. CentOS requires additional repositories like remi or EPEL to satisfy additional dependencies.


  appserver-dist-1.1.4-26.el7.centos.x86_64.rpm   appserver-runtime-1.1.7-35.el7.centos.x86_64.rpm